Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIOpenWithFileUnit

opens a `PETSCVIEWERASCII` to write to a Fortran IO unit

## Synopsis

    #include <petscviewer.h>
    void PetscViewerASCIIOpenWithFileUnit((MPI_Fint comm, integer unit, PetscViewer viewer, PetscErrorCode ierr)

## Input Parameters

- comm - the `MPI_Comm` to share the viewer

- unit - the unit number

## Output Parameters

- lab - the viewer

- ierr - the error code

## Note

`PetscViewerDestroy()` does not close the unit for this `PetscViewer`

## Fortran Notes

Only for Fortran, use `PetscViewerASCIIOpenWithFILE()` for C

## See Also

`PetscViewerASCIISetFileUnit()`, `PetscViewerASCIISetFILE()`, `PETSCVIEWERASCII`, `PetscViewerASCIIOpenWithFILE()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/ascii/filev.c

## Examples

src/sys/tutorials/ex10f.F90

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages